A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Functions
deviceInfo
ArrayFire Functions | ArrayFire Functions by Category » Functions to create and modify Arrays » Managing devices in ArrayFire

Gets the information about device and platform as strings More...

## Functions
AFAPI void | deviceprop (char *d_name, char *d_platform, char *d_toolkit, char *d_compute)
| Gets the information about device and platform as strings
AFAPI void | deviceInfo (char *d_name, char *d_platform, char *d_toolkit, char *d_compute)
| Gets the information about device and platform as strings
AFAPI af_err | af_device_info (char *d_name, char *d_platform, char *d_toolkit, char *d_compute)
| Gets the information about device and platform as strings

## Detailed Description

Gets the information about device and platform as strings

Parameters

  d_name | pointer to a user-allocated char array. Recommended minimum size is 64. The name of the device is stored in this array.
  d_platform | pointer to a user-allocated char array. Recommended minimum size is 10. The platform information is stored in this array.
  d_toolkit | pointer to a user-allocated char array. Recommended minimum size is 64. The toolkit information is stored in this array.
  d_compute | pointer to a user-allocated char array. Recommended minimum size is 10. The compute version of the device is stored in this array.

## Function Documentation

## ◆ af_device_info()

AFAPI af_err af_device_info | ( | char * | d_name,
|  | char * | d_platform,
|  | char * | d_toolkit,
|  | char * | d_compute )

Gets the information about device and platform as strings

Parameters

  d_name | pointer to a user-allocated char array. Recommended minimum size is 64. The name of the device is stored in this array.
  d_platform | pointer to a user-allocated char array. Recommended minimum size is 10. The platform information is stored in this array.
  d_toolkit | pointer to a user-allocated char array. Recommended minimum size is 64. The toolkit information is stored in this array.
  d_compute | pointer to a user-allocated char array. Recommended minimum size is 10. The compute version of the device is stored in this array.

## ◆ deviceInfo()

AFAPI void deviceInfo | ( | char * | d_name,
|  | char * | d_platform,
|  | char * | d_toolkit,
|  | char * | d_compute )

Gets the information about device and platform as strings

Parameters

  d_name | pointer to a user-allocated char array. Recommended minimum size is 64. The name of the device is stored in this array.
  d_platform | pointer to a user-allocated char array. Recommended minimum size is 10. The platform information is stored in this array.
  d_toolkit | pointer to a user-allocated char array. Recommended minimum size is 64. The toolkit information is stored in this array.
  d_compute | pointer to a user-allocated char array. Recommended minimum size is 10. The compute version of the device is stored in this array.

## ◆ deviceprop()

AFAPI void deviceprop | ( | char * | d_name,
|  | char * | d_platform,
|  | char * | d_toolkit,
|  | char * | d_compute )

Gets the information about device and platform as strings

Parameters

  d_name | pointer to a user-allocated char array. Recommended minimum size is 64. The name of the device is stored in this array.
  d_platform | pointer to a user-allocated char array. Recommended minimum size is 10. The platform information is stored in this array.
  d_toolkit | pointer to a user-allocated char array. Recommended minimum size is 64. The toolkit information is stored in this array.
  d_compute | pointer to a user-allocated char array. Recommended minimum size is 10. The compute version of the device is stored in this array.

Deprecated
  Use deviceInfo instead